from django.conf import settings
from django.dispatch import receiver
from django.db.models.signals import post_save

from . import models


@receiver(post_save, sender=models.Playlist)
def save_playlist_mrss(sender, instance, created, **kwargs):
    if created:
        instance.mrss = f'{settings.DOMAIN_NAME}/api/playlist/{instance.id}/mrss'
        instance.save()
